# ai_storage.hpp File Reference

Defines AIStorage and includes all files required for it. More...

`#include "../command_func.h"`
`#include "../map_func.h"`
`#include "../network/network.h"`
`#include "../company_func.h"`
`#include "../signs_func.h"`
`#include "../tunnelbridge.h"`
`#include "../vehicle_func.h"`
`#include "../group.h"`
`#include <vector>`

Go to the source code of this file.

## Data Structures
class | AIStorage
| The storage for each AI. More...
## Typedefs
typedef bool( | AIModeProc )(TileIndex tile, uint32 p1, uint32 p2, uint procc, CommandCost costs)
| The callback function for Mode-classes.

## Detailed Description

Defines AIStorage and includes all files required for it.

Definition in file ai_storage.hpp.